<div fxLayout="row"fxLayoutAlign="space-between start" >
  <div fxFlex="" fxLayout="row" >
    <mat-checkbox [(ngModel)]="item.completed"
                       (change)="changeComlited($event)">
    </mat-checkbox>

    <div (click)="setEditing($event)" *ngIf="!editing">{{item.title}} </div>
    <div *ngIf="editing">
        <app-input-button-unit [item]="item.title" (submit)="updateItem($event)"> </app-input-button-unit>
    </div>
  </div>


  <button mat-raised-button color="accent" (click)="removeItem()">Remove</button>

</div>
